## rtpj2kdepay rtpj2kdepay |

## Types and Values

struct | GstRtpJ2KDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpJ2KDepay

## Description

Depayload an RTP-payloaded JPEG 2000 image into RTP packets according to RFC 5371 and RFC 5372. For detailed information see: https://datatracker.ietf.org/doc/rfc5371/ and https://datatracker.ietf.org/doc/rfc5372/

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)video, clock-rate=(int)90000, sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCrA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE }, encoding-name=(string)JPEG2000
| application/x-rtp, media=(string)video, clock-rate=(int)90000, colorspace=(string){ sRGB, sYUV, GRAY }, encoding-name=(string)JPEG2000

name | src
direction | source
presence | always
details | image/x-jpc, colorspace=(string){ sRGB, sYUV, GRAY }

## Functions

## Types and Values

### struct GstRtpJ2KDepay

    struct GstRtpJ2KDepay;